# Class: MyselfClient

## MyselfClient

## Constructor

#### new MyselfClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/myself'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/myself.js, line 5

### Methods

#### changePassword(opts, callback)

Modify caller password.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API.

###### Properties

Name | Type | Description
--- | --- | ---
`newData` |  | The new data

`callback` |  | Called when the password has been changed.

Source:
  - api/myself.js, line 55

#### editMyself(opts, callback)

Modify currently logged user. The "value" fields present will override the existing value. Fields skipped in request will not be changed. Only email and display name can be change that way.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options send to the Jira API.

###### Properties

Name | Type | Description
--- | --- | ---
`newData` |  | The new data. See https://docs.atlassian.com/jira/REST/latest/#d2e1242

`callback` |  | Called when the user's data has been modified

Source:
  - api/myself.js, line 33

#### getMyself(opts, callback)

Returns currently logged user. This resource cannot be accessed anonymously.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | Ignored
`callback` |  | Called when the current user is retrieved.

Source:
  - api/myself.js, line 14